import { CompileTemplateProjectParam } from "./type";
export default class CompileDemoProject {
    private readonly npmRegistry;
    private readonly templateName;
    private readonly templateToCopyPath;
    private readonly projectPath;
    private readonly demoProjectOutputPath;
    private readonly megaScriptConfigPath;
    private readonly sourceWidgetsPath;
    private readonly templateProjectSrcPath;
    private readonly templateProjectWidgetPath;
    private readonly templateProjectRouterPath;
    private readonly ignoreDemoProjectFolders;
    private readonly isRemoveTemporaryFiles;
    private readonly cwd;
    private readonly entryFile;
    private readonly extraBabelIncludes;
    private readonly alias;
    private readonly extraBabelPlugins;
    private readonly publicPath;
    constructor(param: CompileTemplateProjectParam);
    private isIgnoreFolderName;
    private removeTemporaryFiles;
    private copyTemplateProject;
    private getAPITableData;
    private calculateFileExtension;
    private getImportInfoAndDemo;
    private getThemeConfig;
    private getDemoPageContent;
    private generateEntryFile;
    private generateSingleDemoPage;
    private getMenuRouter;
    private generateDemoRouter;
    private getRouterData;
    private generateSearchIndex;
    private generateMegaScriptConfigFile;
    private generateDemoPage;
    compile: () => Promise<{
        code: number;
        message?: undefined;
    } | {
        code: number;
        message: any;
    }>;
}
