import { InstallSinglePackageParam, BuildResultType } from "./type";
export declare function unInstallSinglePackage(param: InstallSinglePackageParam): Promise<void>;
export declare function installSinglePackage(param: InstallSinglePackageParam): Promise<void>;
export declare function installNpmPackage(registry: string, projectPath: string): Promise<void>;
export declare function buildDemoProject(projectPath: string, megaScriptConfigPath: string): Promise<BuildResultType>;
export declare function fixFolderName(folderName: string): string;
export declare function toText(str: string): string;
export declare function getRouterUrl(widgetName: string): string;
export declare function requireLoadData<T>(url: string): T | undefined;
